package org.hashtree.jbrainhoney.network;

import org.hashtree.jbrainhoney.SimpleValueClass;

/** Defines the interface of a parameter. */
public abstract interface Parameter extends SimpleValueClass {
	@Override
	public abstract String toString();

	@Override
	public abstract boolean equals(final Object object);

	@Override
	public abstract int hashCode();

	/** Defines the interface of a Parameter builder. */
	public static interface Builder extends SimpleValueClass.Builder {
		@Override
		public abstract Parameter build();
	}
}